[Bug 1767756] Re: package mysql-server-5.7 5.7.21-1ubuntu1 failed to install/upgrade: instalado mysql-server-5.7 paquete post-installation guión el subproceso devolvió un error con estado de salida 1

Andreas Hasenack andreas at canonical.com
Mon Jul 2 17:31:34 UTC 2018


Thanks for filing this bug in Ubuntu.

The logs show this error:
ERROR: Unable to start MySQL server:
mysqld: Can't read dir of '/etc/mysql/conf.d/' (Errcode: 2 - No such file or directory)
mysqld: [ERROR] Fatal error in defaults handling. Program aborted!
Please take a look at https://wiki.debian.org/Teams/MySQL/FAQ for tips on fixing common upgrade issues.
Once the problem is resolved, run apt-get --fix-broken install to retry.
dpkg: error al procesar el paquete mysql-server-5.7 (--configure):
 instalado mysql-server-5.7 paquete post-installation guión el subproceso devolvió un error con estado de salida 1

In addition, I note that the package version that was used,
5.7.21-1ubuntu1, is what was released with bionic, but there have been
updates since then. Do you have the updates and security repositories
enabled? If not, please enable them and run:

sudo apt update
sudo apt -f install
Also maybe: sudo apt dist-upgrade

You should get 5.7.22-0ubuntu18.04.1 which is in the updates and
security pockets.


** Changed in: mysql-5.7 (Ubuntu)
       Status: Confirmed => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Server, which is subscribed to mysql-5.7 in Ubuntu.
Matching subscriptions: main
https://bugs.launchpad.net/bugs/1767756

Title:
  package mysql-server-5.7 5.7.21-1ubuntu1 failed to install/upgrade:
  instalado mysql-server-5.7 paquete post-installation guión el
  subproceso devolvió un error con estado de salida 1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mysql-5.7/+bug/1767756/+subscriptions



More information about the Ubuntu-server-bugs mailing list